Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get translation by ID

Retrieves a single translation record by its unique identifier

GET/api/v1/{team_slug}/{app_slug}/translations/{translation_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

translation_idstringrequired

translation item uuid

Responses
200

Translation

datainternal_pkg_webserver_v1.TranslationDTOrequired
Show properties
field_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationFieldTyperequired
Allowed:namevaluedescriptionalttitletypecopyrightslugmeta_titlemeta_descriptionhtml_descriptionshort_descriptionhtml_short_descriptionkey
idstring
language_codestringrequired
parent_refstringrequired
parent_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationTyperequired
Allowed:productproduct_bundleproduct_variantchannel_contentimageattributeattribute_valuecategorytagcollectionfilebundle_groupvideobrandvariant_group
translationstringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Not Found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/translations/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "field_type": "name",
    "id": "string",
    "language_code": "string",
    "parent_ref": "string",
    "parent_type": "product",
    "translation": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}